<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

</head>

<body>
	<br />
	<br />

	<p>Для поиска банка заполните одно (или несколько) поле приведенной
		ниже формы и нажмите кнопку "Поиск". Вы получите первые 100 записей,
		удовлетворяющих вашему запросу, а так же общее количество записей в
		БД.</p>
	<br />
	<br />


	<?php
	$onlyActive = isset ($_POST['onlyActive']) ? $_POST['onlyActive'] : '';
	if ($_SERVER['REQUEST_METHOD'] == 'GET'){
		$onlyActive = 'on';
	}
	$bik = isset ($_POST['bik']) ? $_POST['bik'] : '';
	$corAccount = isset ($_POST['corAccount']) ? $_POST['corAccount'] : '';
	$name = isset ($_POST['name']) ? $_POST['name'] : '';
	if (get_magic_quotes_gpc()) {
		$name = stripslashes($name);
	}
	$count = 0;
	$list = null;
	$searchApplied = false;
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		$searchApplied = true;

		define('_PHP_STUB_FOLDER', $_SERVER['DOCUMENT_ROOT'].'/stubs/', true);
		
		require_once _PHP_STUB_FOLDER.'/ru/freebs/ws/objects/warehouse/BankSearchCriteria.php';
		require_once _PHP_STUB_FOLDER.'/ru/freebs/ws/business/warehouse/directories/BankWSStub.php';

		$sc = new BankSearchCriteria();
		$sc->count = 100;
		if ($onlyActive != 'on') $sc->loadDeletedItems = 1;
		if (isset($name)) $sc->code = $name;
		if (isset($bik)) $sc->bik = $bik;
		if (isset($corAccount)) $sc->corAccountNum = $corAccount;

		try {
			global $banksDirectory;

			$context = new InvocationContext();
			$context->initiator = $_SERVER['SERVER_NAME'];
			$context->userName = 'guest';
			$context->password = 'CE4DQ6BIb/BVMN9scFyLtA==';

			$banksDirectory = array(
				'debugMode' => false,
				'whServicesEP' => 'https://d4b.office-on-the.net:18080/bank-directory-ws/services/BankWS'
			);
			
			$stub = new BankWSStub($banksDirectory);
			$count = $stub->getCount($context, $sc);
			$list = $stub->getList($context, $sc);
		} catch (WStoreAPIException $exp) {
		}
	}
	?>
	<form method="post" action="/">
		<table>
			<tr>
				<td class="editor-field-title">Наименование</td>
				<td><input class="editor-input-field" type="text" name="name"
					value="<?php print $name; ?>" /></td>
			</tr>
			<tr>
				<td class="editor-field-title">БИК</td>
				<td><input class="editor-input-field" type="text" name="bik"
					value="<?php print $bik; ?>" /></td>
			</tr>

			<tr>
				<td class="editor-field-title">Кор. счет</td>
				<td><input class="editor-input-field" type="text" name="corAccount"
					value="<?php print $corAccount; ?>" /></td>
			</tr>

			<tr>
				<td colspan="2"><br />
				</td>
			</tr>

			<tr>
				<td colspan="2"><input type="checkbox" name="onlyActive"
				<?php if ($onlyActive == 'on') print 'checked="checked"'; ?> />
					Только участники, осуществляющие расчеты на сегодняшний день</td>
			</tr>

			<tr>
				<td colspan="2"><br />
				</td>
			</tr>
			<tr>
				<td align="right" colspan="2"><input type="submit" value="Поиск" />
				</td>
			</tr>
		</table>
	</form>
	<br />
	<br />
	<?php if ($searchApplied) {
		if (isset($list) && is_array($list->objList)){
			print "<p>По вашему запросу найдено <b>{$count}</b> банков</p>";
			print "<p><table class=\"list-table\">";
			print "<tr>";
			print "<th colspan=\"2\">Наименование</th><th>Телефон</th>";
			print "</tr>";
			print "<tr>";
			print "<th>БИК</th><th>Кор. счет</th><th></th>";
			print "</tr>";
			$flag = false;
			foreach ( $list->objList as $item ) {
				$flag = !$flag;
				$rowClass = $flag ? "list-table-row1" : "list-table-row2";
				$cellClass= '';
				if ($item->isDeleted == 1)
				$cellClass = "inactive";
					
				print "<tr class=\"{$rowClass}\">";
				print "<td colspan=\"3\" class=\"list-table-row-sep\"></td>";
				print "</tr>";

				print "<tr class=\"{$rowClass}\">";
				print "<td colspan=\"2\" class=\"{$cellClass}\">{$item->code}</td><td class=\"{$cellClass}\">{$item->contactPhone}</td>";
				print "</tr>";
					
				print "<tr class=\"{$rowClass}\">";
				print "<td class=\"{$cellClass}\">{$item->bik}</td><td class=\"{$cellClass}\">{$item->corAccountNumber}</td><td></td>";
				print "</tr>";
			}
			print "</table></p>";
		} else {
			print "<p>К сожалению, ничего не найдено.</p>";
		}
	} ?>
</body>
</html>
