<?php
require_once(_PHP_STUB_FOLDER.'WStoreSoapFunctions.php');
require_once(_PHP_STUB_FOLDER.'/ru/freebs/ws/objects/SortObject.php');


class BankSearchCriteria { 
  public $beginIndex; // java.lang.Integer
  public $bik; // java.lang.String
  public $code; // java.lang.String
  public $corAccountNumber; // java.lang.String
  public $count; // java.lang.Integer
  public $dataFormat; // java.lang.String
  public $description; // java.lang.String
  public $idList; // [Ljava.lang.Long;
  public $listSort; // [Lru.freebs.ws.objects.SortObject;
  public $loadDeletedItems; // int
  public $quickSearch; // java.lang.String


public static function getInstance($object) {
	$result = new BankSearchCriteria();
	if (isset($object->beginIndex)) $result->beginIndex = $object->beginIndex;
if (isset($object->bik)) $result->bik = $object->bik;
if (isset($object->code)) $result->code = $object->code;
if (isset($object->corAccountNumber)) $result->corAccountNumber = $object->corAccountNumber;
if (isset($object->count)) $result->count = $object->count;
if (isset($object->dataFormat)) $result->dataFormat = $object->dataFormat;
if (isset($object->description)) $result->description = $object->description;
if (isset($object->idList)) {
	if (!is_array($object->idList)) {
		$result->idList[] = $object->idList;
	} else 
		$result->idList = $object->idList;
}
if (isset($object->listSort)) {	$tmp__ = null;
	if (is_array($object->listSort)) {
		foreach($object->listSort as $item)
			$tmp__[] = SortObject::getInstance($item);
	} else {
		$tmp__[] = SortObject::getInstance($object->listSort);
	}
	$result->listSort = $tmp__;
	unset($tmp__);
}
if (isset($object->loadDeletedItems)) $result->loadDeletedItems = $object->loadDeletedItems;
if (isset($object->quickSearch)) $result->quickSearch = $object->quickSearch;

	
	return $result;
}
}
?>